%global _empty_manifest_terminate_build 0
Name:		python-uWSGI
Version:	2.0.21
Release:	2
Summary:	The uWSGI server
License:	GPL2
URL:		https://uwsgi-docs.readthedocs.io/en/latest/
Source0:        https://files.pythonhosted.org/packages/b3/8e/b4fb9f793745afd6afcc0d2443d5626132e5d3540de98f28a8b8f5c753f9/uwsgi-2.0.21.tar.gz
%description
The uWSGI server

%package -n python3-uWSGI
Summary:	The uWSGI server
Provides:	python-uWSGI

BuildRequires:	openssl-devel
BuildRequires:	python3-devel gcc
BuildRequires:	python3-setuptools
BuildRequires:	python3-pip
BuildRequires:	chrpath

%description -n python3-uWSGI


%package help
Summary:	Development documents and examples for uWSGI
Provides:	python3-uWSGI-doc
%description help
Help doc for the uWSGI server

%prep
%autosetup -n uwsgi-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

chrpath -d %{buildroot}/%{_bindir}/uwsgi

%files -n python3-uWSGI -f filelist.lst
%dir %{python3_sitelib}/*
%exclude %{python3_sitelib}/__pycache__/

%files help
%{_pkgdocdir}

%changelog
* Thu Jul 06 2023 chenchen <chen_aka_jan@163.com> - 2.0.21-2
- remove pip for fix build error

* Wed Apr 19 2023 xu_ping <707078654@qq.com> - 2.0.21-1
- Upgrade package to 2.0.21

* Fri Aug 26 2022 yaoxin <yaoxin30@h-partners.com> - 2.0.20-2
- Remove rpath

* Thu Mar 31 2022 wangkai <wangkai385@huawei.com> - 2.0.20-1
- Update to 2.0.20

* Tue Aug 31 2021 chenyanpanHW <chenyanpan@huawei.com> -  2.0.19.1-3
- DESC: uwsgi add BuildRequires openssl-devel to support --https

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 2.0.19.1-2
- Completing build dependencies to fix gcc compiler missing error

* Wed Aug 05 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
